Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Class FbWireDatabaseFactory

java.lang.Object
org.firebirdsql.gds.ng.wire.FbWireDatabaseFactory

All Implemented Interfaces:
  `FbDatabaseFactory`

public final class FbWireDatabaseFactory extends Object implements FbDatabaseFactory
Implementation of `FbDatabaseFactory` for the wire protocol implementation.

Since:
  3.0
Author:
  Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`FbWireDatabaseFactory()`

## Method Summary

Modifier and Type
Method
Description
`FbWireDatabase`
`connect(IConnectionProperties connectionProperties)`
Connects to a Firebird server based on the supplied connection properties.
`static FbWireDatabaseFactory`
`getInstance()`
`FbService`
`serviceConnect(IServiceProperties serviceProperties)`
Connects to the service manager of a Firebird server with the supplied service properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FbWireDatabaseFactory

public FbWireDatabaseFactory()

## Method Details

### connect

public FbWireDatabase connect(IConnectionProperties connectionProperties) throws SQLException
Description copied from interface: `FbDatabaseFactory`
Connects to a Firebird server based on the supplied connection properties.

The `FbDatabase` instance will be connected to the server, but is not yet attached.

Specified by:
  `connect` in interface `FbDatabaseFactory`
Parameters:
  `connectionProperties` - Connection properties
Returns:
  Database instance
Throws:
  `SQLException`

### serviceConnect

public FbService serviceConnect(IServiceProperties serviceProperties) throws SQLException
Description copied from interface: `FbDatabaseFactory`
Connects to the service manager of a Firebird server with the supplied service properties.

Specified by:
  `serviceConnect` in interface `FbDatabaseFactory`
Parameters:
  `serviceProperties` - Service properties
Returns:
  Service instance
Throws:
  `SQLException`

### getInstance

public static FbWireDatabaseFactory getInstance()